apiVersion: apps/v1
kind: Deployment
metadata:
  name: sec-play-pearlpeacock
  namespace: sec-play-pearlpeacock
  labels:
    app: app
spec:
  replicas: 1
  selector:
    matchLabels:
      app: app
  template:
    metadata:
      labels:
        app: app
    spec:
      containers:
      - name: app
        image: nginx:1.14.2
        resources:
          requests:
            cpu: 100m
            memory: 100Mi
          limits:
            cpu: 100M
            memory: 100Mi
        ports:
        - containerPort: 80
        securityContext:
          allowPrivilegeEscalation: false
          runAsUser: 0
